# Wire return request object

A wire return request object represents a request to return funds from a wire transfer. Each return request object can be either sent or received and must always be associated with an existing wire transfer.

### Object Parameters

- `approved_at` `date-time` — The timestamp when the wire return request is approved
- `completed_at` `date-time` — The timestamp when the wire return request is completed
- `created_at` `date-time` — The timestamp when the wire return request was created
- `id` `string` — The unique id of the wire return request object
- `is_incoming` `boolean` — Whether this is an incoming return request (created by another bank) or outgoing (initiated by us)
- `manual_review_at` `date-time` — The timestamp when the wire return request went into the manual review state
- `original_transfer_id` `string` — ID of the original transfer that this return request is requesting to return
- `rejected_at` `date-time` — The timestamp when the wire return request is rejected
- `return_request_reason` `string` — The reason of the return request
- `return_request_response_reason` `string` — The reason of the response to the return request
- `return_transfer_id` `string` — ID of the return transfer
- `scheduled_at` `date-time` — The timestamp when the wire return request is scheduled to be sent
- `sent_at` `date-time` — The timestamp when the wire return request is sent
- `status` `string` — The status of the wire return request. Possible statuses include `initiated`, `scheduled`, `sent`, `manual_review`, `approved`, `rejected`, and `completed`
- `updated_at` `date-time` — The timestamp when the wire return request was updated

**Response 200**

```json
{
  "approved_at": "2024-01-15T09:30:00Z",
  "completed_at": "2024-01-15T09:30:00Z",
  "created_at": "2024-01-15T09:30:00Z",
  "id": "wrrq_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "is_incoming": false,
  "manual_review_at": "2024-01-15T09:30:00Z",
  "original_transfer_id": "wire_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "rejected_at": "2024-01-15T09:30:00Z",
  "return_request_reason": null,
  "return_request_response_reason": null,
  "return_transfer_id": "rttr_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "scheduled_at": "2024-01-15T09:30:00Z",
  "sent_at": "2024-01-15T09:30:00Z",
  "status": "pending",
  "updated_at": "2024-01-15T09:30:00Z"
}
```
